Tigro for Fedora 7 (i386,x86_64)

Читайте также:

комментариев 19

  1. Reload:

    спасибо, добавил

  2. Mosga:

    Прекрасно! (жаль семерку поставлю вряд ли раньше, чем через месяц – она в принципе несовместима с fglrx драйвером). Первое пожелание: gstreamer-plugins-bad собран без gstjack, можно ли это поправить? Я вот его в шестерке пересобирал как раз для того, чтобы добавить эту поддерджку..

    Второе: раз уж все равно нарушать лицензии, распространяя ttf-шрифты, почему бы тогда не делать это качественно? В новых версиях шрифтов (из последней винды, еще лучше – из последнего msoffice) добавлены символы, исправлены неточности хинтинга и т.д. Они ушли вперед от тех версий, что распространяются через веб. Я могу залить куда-нибудь свежий набор monotype’овских шрифтов (последние версии того, что в core fonts + шрифты висты + несколько дополнительных шрифтов из офиса – почти-стандартных, но не вошедших в core fonts).

    Заодно шрифты в пакете стоит подчистить, а то затесались там всякие tunga.. (если хочется символов других языков, нужно взять arial unicode ms, добавить к нему code2000/2001/2002, ну можно еще еще cyberbit да damase, и будет почти весь юникод). Если есть желание, могу и комплект хороших юникодных шрифтов залить, но их хоть и несколько штук, но в сумме они мегов на 50 тянут, так что если и оформлять, то явно в отдельный пакет.

  3. Walker77:

    Добавить нечего. Просто спасибо.

  4. Tigro:

    Mosga

    Можно попробовать собрать c gstjack, а по поводу шрифтов, давайте вы возьмете мой пакет, запихнёте в него архив правильный со шрифтами и мне скажете где лежит src.rpm. Так будет всем проще!

  5. Mosga:

    Только виндовые шрифты или юникодные тоже? Лежит.. хм.. как-то нет сейчас хорошего места для хранения, рапидшара разве что какая..

  6. Tigro:

    Давайте так, кладёте те шрифты, которые считаете нужными. Ну а потом в jabber ко мне постучитесь, решим проблему с закачкой.

  7. iRBiS:

    Tigro, собери пожалйста Krusader. Я уже замучился в попытках скомпилировать, Qt пакет есть, причем подходящей версии, а ему все не нравится.

  8. Tigro:

    Не соберу, потому что он есть в F7 и FE6.

  9. Sunder:

    а чем отличается ffmpeg от него же в репозитарии freshrpm ?

  10. Tigro:

    Версия новее, но дело не в этом, в livna не правильный faad2 вот пришлось исправлять.

  11. Mosga:

    Вот как раз faad в линве нормальный, он еще хоть с чем-то совместим. Т.н. “faad 2.5” имеет серьезные проблемы с лицензией, и его никто все равно не поддерживает. gstreamer, xine, ffmpeg, mplayer – все работают с faad 2.0 и без хаков и патчей даже не соберутся с 2.5. Причем это принципиальный вопрос, поддержку 2.5 они добавлять не собираются, потому что с ним проблемы.

    PS конечно, для конечного пользователя (не разработчика) это все без разницы. Я вот ушел с ливны полностью на freshrpms, как и планировал – никаких проблем – если они пропатчили все для работы с новым faad, то какая разница, а mplayer, который я сам собираю, его в комплекте имеет. Но все равно по сути, ситуация с этим 2.5 достаточно плачевная.

  12. Tigro:

    Там такой смешной патч накладывается. А вот 2.5 нужен для проигрывания некоторых потоков. Без него не работает кое что.

  13. Sunder:

    Resolving Dependencies—> Running transaction check—-> Package ffmpeg.x86_64 0:0.4.9-1.37.20070503.fc7 set to be updated—> Processing Dependency: libavutil.so.49()(64bit) for package: ffmpeg-libpostproc—> Processing Dependency: libavcodec.so.51()(64bit) for package: transcode—> Processing Dependency: libavformat.so.51()(64bit) for package: ffmpeg—> Restarting Dependency Resolution with new changes.—> Running transaction check—-> Package ffmpeg-libs.x86_64 0:0.4.9-1.37.20070503.fc7 set to be updated—> Processing Dependency: libx264.so.54()(64bit) for package: ffmpeg-libs—> Processing Dependency: libdts.so.0()(64bit) for package: ffmpeg-libs—> Finished Dependency Resolution
    Error: Missing Dependency: libx264.so.54()(64bit) is needed by package ffmpeg-libs
    Error: Missing Dependency: libdts.so.0()(64bit) is needed by package ffmpeg-libs

    Подключены freshrpm и tigra… что ему надо еще ?

  14. Tigro:

    Я не поддерживаю freshrpms. Последняя строка в новости!

  15. Sunder:

    Черт 🙂 Не заметил.
    А можно подключить livna одновременно с Freshrpms ? Или что-либо одно только ?

  16. Tigro:

    Там тогда перепутаются пакеты и перестанет работать, например, mplayer. Лучше не путать их или все делать внимательно. Вот когда сделают один общий репозиторий, тогда будет *круто” а пока один хрен, что Livna, что FreshRpms, что ATrpms, не знаешь к кому примкнуть:(…

  17. Спасибо за репозитарий – сегодня случайно узнал о вас благодаря mirror.yandex.ru – там ваше зеркало есть.

    Про анонсировал вас тут: http://jesuschrist.ru/forum/498058

  18. Tigro:

    Пожалуйста, только на mirror не моё зеркало, а уже главный репозиторий;-)

  19. Energy:

    Поставил репозиотрий. Выполнил команду yum update, в результате:
    Error: Missing Dependency: faad2 = 2.0-19.20050131.lvn6 is needed by package xmms-faad2

    PS Часть вопросов отправил по jabber-у…